
package com.ejie.ad74a.ws.client.platea.tareasTramitacion;

import javax.xml.bind.annotation.XmlEnum;
import javax.xml.bind.annotation.XmlEnumValue;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Clase Java para TMessageTipology.
 * 
 * <p>El siguiente fragmento de esquema especifica el contenido que se espera que haya en esta clase.
 * <p>
 * <pre>
 * &lt;simpleType name="TMessageTipology"&gt;
 *   &lt;restriction base="{http://www.w3.org/2001/XMLSchema}string"&gt;
 *     &lt;enumeration value="APORTACIONES"/&gt;
 *     &lt;enumeration value="ARCHIVADO"/&gt;
 *     &lt;enumeration value="CERTIFICACIONES"/&gt;
 *     &lt;enumeration value="ERRORARCHIVADO"/&gt;
 *     &lt;enumeration value="EXPEDIENTE"/&gt;
 *     &lt;enumeration value="FINALIZACION"/&gt;
 *     &lt;enumeration value="FIRMAS"/&gt;
 *     &lt;enumeration value="FISCALIZACIONES"/&gt;
 *     &lt;enumeration value="INICIODEOFICIO"/&gt;
 *     &lt;enumeration value="INTEGRACIONCRM"/&gt;
 *     &lt;enumeration value="LOCATOR"/&gt;
 *     &lt;enumeration value="RECHAZO DE FIRMAS"/&gt;
 *     &lt;enumeration value="SOLICITUDES"/&gt;
 *     &lt;enumeration value="SOLICITUDTRASPASORECHAZADO"/&gt;
 *     &lt;enumeration value="TRAMITACION"/&gt;
 *     &lt;enumeration value="TRANSFORMATION"/&gt;
 *     &lt;enumeration value="TRASPASOEXPEDIENTES"/&gt;
 *   &lt;/restriction&gt;
 * &lt;/simpleType&gt;
 * </pre>
 * 
 */
@XmlType(name = "TMessageTipology", namespace = "com/ejie/x43s/v2/ttn/xml")
@XmlEnum
public enum TMessageTipology {

    APORTACIONES("APORTACIONES"),
    ARCHIVADO("ARCHIVADO"),
    CERTIFICACIONES("CERTIFICACIONES"),
    ERRORARCHIVADO("ERRORARCHIVADO"),
    EXPEDIENTE("EXPEDIENTE"),
    FINALIZACION("FINALIZACION"),
    FIRMAS("FIRMAS"),
    FISCALIZACIONES("FISCALIZACIONES"),
    INICIODEOFICIO("INICIODEOFICIO"),
    INTEGRACIONCRM("INTEGRACIONCRM"),
    LOCATOR("LOCATOR"),
    @XmlEnumValue("RECHAZO DE FIRMAS")
    RECHAZO_DE_FIRMAS("RECHAZO DE FIRMAS"),
    SOLICITUDES("SOLICITUDES"),
    SOLICITUDTRASPASORECHAZADO("SOLICITUDTRASPASORECHAZADO"),
    TRAMITACION("TRAMITACION"),
    TRANSFORMATION("TRANSFORMATION"),
    TRASPASOEXPEDIENTES("TRASPASOEXPEDIENTES");
    private final String value;

    TMessageTipology(String v) {
        value = v;
    }

    public String value() {
        return value;
    }

    public static TMessageTipology fromValue(String v) {
        for (TMessageTipology c: TMessageTipology.values()) {
            if (c.value.equals(v)) {
                return c;
            }
        }
        throw new IllegalArgumentException(v);
    }

}
